< prev index next >

test/test_env.sh

Print this page
rev 6999 : 8068013: [TESTBUG] Aix support in hotspot jtreg tests
Reviewed-by: ctornqvi, fzhinkin, farvidsson

@@ -1,8 +1,8 @@
 #!/bin/sh
 #
-#  Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
+#  Copyright (c) 2013, 2015, Oracle and/or its affiliates. All rights reserved.
 #  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 # 
 #  This code is free software; you can redistribute it and/or modify it
 #  under the terms of the GNU General Public License version 2 only, as
 #  published by the Free Software Foundation.

@@ -51,11 +51,11 @@
 echo "TESTCLASSES=${TESTCLASSES}"
 
 # set platform-dependent variables
 OS=`uname -s`
 case "$OS" in
-  SunOS | Linux | Darwin )
+  AIX | Darwin | Linux | SunOS )
     NULL=/dev/null
     PS=":"
     FS="/"
     RM=/bin/rm
     CP=/bin/cp

@@ -128,29 +128,34 @@
 then
   VM_BITS="64"
 fi
 
 VM_OS="unknown"
-grep "solaris" vm_version.out > ${NULL}
+grep "aix" vm_version.out > ${NULL}
 if [ $? = 0 ]
 then
-  VM_OS="solaris"
+  VM_OS="aix"
+fi
+grep "bsd" vm_version.out > ${NULL}
+if [ $? = 0 ]
+then
+  VM_OS="bsd"
 fi
 grep "linux" vm_version.out > ${NULL}
 if [ $? = 0 ]
 then
   VM_OS="linux"
 fi
-grep "windows" vm_version.out > ${NULL}
+grep "solaris" vm_version.out > ${NULL}
 if [ $? = 0 ]
 then
-  VM_OS="windows"
+  VM_OS="solaris"
 fi
-grep "bsd" vm_version.out > ${NULL}
+grep "windows" vm_version.out > ${NULL}
 if [ $? = 0 ]
 then
-  VM_OS="bsd"
+  VM_OS="windows"
 fi
 
 VM_CPU="unknown"
 grep "sparc" vm_version.out > ${NULL}
 if [ $? = 0 ]
< prev index next >